/*
 * $Id: ConnectorContext.java 2458 2009-09-29 10:56:38Z magicduncan $
 * $URL: https://open.jira.com/svn/IKASAN/tags/ikasan-0.8.0/connector-base/src/main/java/org/ikasan/connector/ConnectorContext.java $
 * 
 * ====================================================================
 * Ikasan Enterprise Integration Platform
 * 
 * Distributed under the Modified BSD License.
 * Copyright notice: The copyright for this software and a full listing 
 * of individual contributors are as shown in the packaged copyright.txt 
 * file. 
 * 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice, 
 *    this list of conditions and the following disclaimer.
 *
 *  - Redistributions in binary form must reproduce the above copyright notice, 
 *    this list of conditions and the following disclaimer in the documentation 
 *    and/or other materials provided with the distribution.
 *
 *  - Neither the name of the ORGANIZATION nor the names of its contributors may
 *    be used to endorse or promote products derived from this software without 
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 */
package org.ikasan.connector;

import org.ikasan.common.CommonContext;

/**
 * This interface defines the connector context methods to allow support
 * of all connectors in both managed and non-managed environments.
 *
 * @author Ikasan Development Team
 */  
public interface ConnectorContext
    extends CommonContext
{ 
    /** connector Transaction Manager */
    public String TRANSACTION_MANAGER =
        ResourceLoader.getInstance().getProperty("transaction.manager"); //$NON-NLS-1$

    /** connector User Transaction */
    public String USER_TRANSACTION =
        ResourceLoader.getInstance().getProperty("user.transaction"); //$NON-NLS-1$

    /** connector non transactional persistence factory */
    public String DS_SESSION_FACTORY =
        ResourceLoader.getInstance().getProperty("ds.session.factory"); //$NON-NLS-1$

    /** connector local transactional persistence factory */
    public String LOCALDS_SESSION_FACTORY =
        ResourceLoader.getInstance().getProperty("localds.session.factory"); //$NON-NLS-1$

    /** connector XA transactional persistence factory */
    public String XADS_SESSION_FACTORY =
        ResourceLoader.getInstance().getProperty("xads.session.factory"); //$NON-NLS-1$

} 
 

